Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph
Class EventSupport.Queue

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              de.grogra.xl.util.ObjectList
                  de.grogra.graph.EventSupport.Queue

All Implemented Interfaces:
  ObjectConsumer, VoidToObjectGenerator, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

Enclosing class:
  EventSupport

    public class EventSupport.Queue

extends ObjectList

See Also:
  Serialized Form

Field Summary

Fields inherited from class de.grogra.xl.util.ObjectList
`elements, size, useEquals`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`EventSupport.Queue()`

Method Summary
`void` | `fire(GraphState gs, boolean fireBeginEnd)`
`void` | `postAttributeChanged(java.lang.Object object, boolean asNode, Attribute a, FieldChain field, int[] indices)`
`void` | `postEdgeChanged(java.lang.Object source, java.lang.Object target, java.lang.Object edgeSet)`

Methods inherited from class de.grogra.xl.util.ObjectList
`add, add, addAll, addAll, addAll, addIfNotContained, addInOrder, addInOrder, arraycopy, clear, clear, clone, consume, contains, ensureCapacity, equals, evaluateObject, get, hashCode, indexOf, isEmpty, lastIndexOf, peek, pop, push, push, push, remove, remove, removeAt, set, setSize, size, toArray, toArray, trimToSize, values`

Methods inherited from class java.util.AbstractList
`addAll, iterator, listIterator, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, removeAll, retainAll`

Constructor Detail

### EventSupport.Queue

    public EventSupport.Queue()

Method Detail

### fire

    public void fire(GraphState gs,
                     boolean fireBeginEnd)

### postAttributeChanged

    public void postAttributeChanged(java.lang.Object object,
                                     boolean asNode,
                                     Attribute a,
                                     FieldChain field,
                                     int[] indices)

### postEdgeChanged

    public void postEdgeChanged(java.lang.Object source,
                                java.lang.Object target,
                                java.lang.Object edgeSet)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD